
@keyframes move {
    100% {
        transform: translate3d(0, 0, 1px) rotate(360deg);
    }
}
@keyframes move {
    100% {
        transform: translate3d(0, 0, 1px) rotate(360deg);
    }
}

.background {
    position: fixed;
    inset: 0;
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    background: #030303;
    overflow: hidden;
}

.background span {
    width: 11vmin;
    height: 11vmin;
    border-radius: 11vmin;
    backface-visibility: hidden;
    position: absolute;
    animation: move;
    animation-duration: 32;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}


.background span:nth-child(0) {
    color: #1a1a1a;
    top: 58%;
    left: 24%;
    animation-duration: 179s;
    animation-delay: -130s;
    transform-origin: 7vw 15vh;
    box-shadow: -22vmin 0 2.8117165369154486vmin currentColor;
}
.background span:nth-child(1) {
    color: #1a1a1a;
    top: 32%;
    left: 100%;
    animation-duration: 176s;
    animation-delay: -80s;
    transform-origin: 7vw 25vh;
    box-shadow: -22vmin 0 3.5508985032417546vmin currentColor;
}
.background span:nth-child(2) {
    color: #320101;
    top: 81%;
    left: 87%;
    animation-duration: 19s;
    animation-delay: -179s;
    transform-origin: 5vw 24vh;
    box-shadow: 22vmin 0 3.2615490982029107vmin currentColor;
}
.background span:nth-child(3) {
    color: #1a1a1a;
    top: 71%;
    left: 95%;
    animation-duration: 16s;
    animation-delay: -171s;
    transform-origin: 14vw -10vh;
    box-shadow: -22vmin 0 3.2760435993042982vmin currentColor;
}
.background span:nth-child(4) {
    color: #1a1a1a;
    top: 21%;
    left: 2%;
    animation-duration: 105s;
    animation-delay: -88s;
    transform-origin: -17vw 2vh;
    box-shadow: -22vmin 0 2.889792240666956vmin currentColor;
}
.background span:nth-child(5) {
    color: #1a1a1a;
    top: 11%;
    left: 82%;
    animation-duration: 129s;
    animation-delay: -156s;
    transform-origin: -24vw 8vh;
    box-shadow: 22vmin 0 2.8474428040127995vmin currentColor;
}
.background span:nth-child(6) {
    color: #1a1a1a;
    top: 16%;
    left: 34%;
    animation-duration: 17s;
    animation-delay: -68s;
    transform-origin: 8vw -12vh;
    box-shadow: 22vmin 0 3.1763883037616036vmin currentColor;
}
.background span:nth-child(7) {
    color: #320101;
    top: 97%;
    left: 42%;
    animation-duration: 122s;
    animation-delay: -79s;
    transform-origin: 10vw -10vh;
    box-shadow: 22vmin 0 3.656167784272785vmin currentColor;
}
.background span:nth-child(8) {
    color: #1a1a1a;
    top: 7%;
    left: 100%;
    animation-duration: 98s;
    animation-delay: -140s;
    transform-origin: -6vw -21vh;
    box-shadow: -22vmin 0 3.408130652884573vmin currentColor;
}
.background span:nth-child(9) {
    color: #1a1a1a;
    top: 64%;
    left: 1%;
    animation-duration: 58s;
    animation-delay: -162s;
    transform-origin: -17vw 24vh;
    box-shadow: 22vmin 0 2.9717680866130247vmin currentColor;
}
.background span:nth-child(10) {
    color: #320101;
    top: 75%;
    left: 26%;
    animation-duration: 170s;
    animation-delay: -165s;
    transform-origin: -17vw -20vh;
    box-shadow: -22vmin 0 3.2079663884102123vmin currentColor;
}
.background span:nth-child(11) {
    color: #1a1a1a;
    top: 42%;
    left: 55%;
    animation-duration: 135s;
    animation-delay: -168s;
    transform-origin: 11vw 10vh;
    box-shadow: -22vmin 0 3.4720063977989333vmin currentColor;
}
.background span:nth-child(12) {
    color: #320101;
    top: 49%;
    left: 74%;
    animation-duration: 69s;
    animation-delay: -167s;
    transform-origin: 10vw 24vh;
    box-shadow: 22vmin 0 3.4770682466051728vmin currentColor;
}
.background span:nth-child(13) {
    color: #1a1a1a;
    top: 29%;
    left: 43%;
    animation-duration: 147s;
    animation-delay: -139s;
    transform-origin: 10vw -19vh;
    box-shadow: -22vmin 0 3.7245646046859893vmin currentColor;
}
.background span:nth-child(14) {
    color: #320101;
    top: 21%;
    left: 65%;
    animation-duration: 37s;
    animation-delay: -156s;
    transform-origin: -23vw -18vh;
    box-shadow: -22vmin 0 3.3425789465443234vmin currentColor;
}
.background span:nth-child(15) {
    color: #1a1a1a;
    top: 76%;
    left: 22%;
    animation-duration: 155s;
    animation-delay: -59s;
    transform-origin: 10vw -8vh;
    box-shadow: -22vmin 0 3.2398796793198197vmin currentColor;
}
.background span:nth-child(16) {
    color: #320101;
    top: 52%;
    left: 12%;
    animation-duration: 125s;
    animation-delay: -134s;
    transform-origin: -5vw -5vh;
    box-shadow: 22vmin 0 2.9310873818796104vmin currentColor;
}
.background span:nth-child(17) {
    color: #1a1a1a;
    top: 16%;
    left: 88%;
    animation-duration: 72s;
    animation-delay: -15s;
    transform-origin: 7vw 12vh;
    box-shadow: -22vmin 0 3.5499999724775737vmin currentColor;
}